#include <QApplication>
#include <QMainWindow>
#include <QAction>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    auto w = new QMainWindow;
    w->show();
    auto w2 = new QMainWindow;
    w2->show();

    auto closeActionW = new QAction(w);
    closeActionW->setShortcut(QKeySequence("Ctrl+W"));
    w->addAction(closeActionW);
    QObject::connect(closeActionW, &QAction::triggered, w, [w]() { w->close(); });

    auto closeActionW2 = new QAction(w2);
    closeActionW2->setShortcut(QKeySequence("Ctrl+W"));
    w2->addAction(closeActionW2);
    QObject::connect(closeActionW2, &QAction::triggered, w2, [w2]() { w2->close(); });

    return a.exec();
}
